Bug 40388 - iptables-save mixes up --reject-with options
iptables-save mixes up --reject-with options
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-12 22:14 EDT by jon_colverson
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-12 22:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jon_colverson 2001-05-12 22:14:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.4 i686; en-US; rv:0.9)
Gecko/20010505

Description of problem:
iptables-save seems to get the --reject-with options icmp-proto-unreachable
and icmp-port-unreachable mixed up.

How reproducible:
Always

Steps to Reproduce:
1. iptables -A INPUT -p tcp -m tcp --dport 113 -j REJECT --reject-with
icmp-port-unreachable
2. iptables -L
3. iptables-save


Actual Results:  iptables -L output:
REJECT     tcp  --  anywhere             anywhere           tcp dpt:auth
reject-with icmp-port-unreachable

iptables-save output:
-A INPUT -p tcp -m tcp --dport 113 -j REJECT --reject-with
icmp-proto-unreachable


Expected Results:  iptables-save should have said:
-A INPUT -p tcp -m tcp --dport 113 -j REJECT --reject-with
icmp-port-unreachable


Additional info:

The bug also occurs the other way around (ie if the rule says
icmp-proto-unreachable, it will be saved as icmp-port-unreachable) This bug
seems fixed in the netfilter CVS, but I couldn't find anything about it in
the changelogs so maybe it was fixed accidently.
Comment 1 Bernhard Rosenkraenzer 2001-05-13 05:24:01 EDT
Fixed in 1.2.2-1

Note You need to log in before you can comment on or make changes to this bug.